Page MenuHomePhabricator

UIDGeneratorTest::testTimestampedUID fails on Travis CI's hhvm
Closed, ResolvedPublic

Description

Cf. https://travis-ci.org/wikimedia/mediawiki/jobs/41632171:

[...]
3) UIDGeneratorTest::testTimestampedUID with data set #0 ('newTimestampedUID128', 39, 128, 46, 48)
New ID timestamp (101001001110011101000111100000101101001000110111011001001110011001111011001100101011001100100010100001010110100111011001101) >= prior one (101001001110011101000111100000101101000010110111011001001110011001111011001100101011001100100010100001010110100111011001101).
Failed asserting that '1010010011100111010001111000001011010000101101' is equal to <string:1010010011100111010001111000001011010010001101> or is greater than '1010010011100111010001111000001011010010001101'.
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/utils/UIDGeneratorTest.php:40
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:141
4) UIDGeneratorTest::testTimestampedUID with data set #1 ('newTimestampedUID128', 39, 128, 46, 48)
Host ID of (101001001110011101000111100000110001000111101010001110110010011001101100101100101011001100100010100001010110100111011001101) is same as prior one (101001001110011101000111100000110001000111101010001110110001111001101100101100101011001100100010100001010110100111011001101).
Failed asserting that two strings are equal.
--- Expected
+++ Actual
@@ @@
-'101001001110011101000111100000110001000111101010001110110010011001101100101'
+'101001001110011101000111100000110001000111101010001110110001111001101100101'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/utils/UIDGeneratorTest.php:46
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:141
5) UIDGeneratorTest::testTimestampedUID with data set #2 ('newTimestampedUID88', 27, 88, 46, 32)
Host ID of (10100100111001110100011110000011001000011111101010110100000001001100000010100010001) is same as prior one (10100100111001110100011110000011001000011111101010010100000001001100000010100010001).
Failed asserting that two strings are equal.
--- Expected
+++ Actual
@@ @@
-'101001001110011101000111100000110010000111111010101'
+'101001001110011101000111100000110010000111111010100'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/utils/UIDGeneratorTest.php:46
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:141
[...]

Version: unspecified
Severity: normal

Details

Reference
bz73668

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:57 AM
bzimport set Reference to bz73668.
scfc created this task.Nov 20 2014, 7:26 PM

Change 174852 had a related patch set uploaded by Tim Landscheidt:
Fix error in UIDGeneratorTest::testTimestampedUID

https://gerrit.wikimedia.org/r/174852

scfc closed this task as Resolved.Nov 24 2014, 12:12 AM
scfc removed a project: Patch-For-Review.
scfc set Security to None.